# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Captive uses binary Windows drivers for full NTFS r/w access."
HOMEPAGE="http://www.jankratochvil.net/project/captive/"
SRC_URI="http://www.jankratochvil.net/project/captive/dist/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"

# Todo: in the future add useflag for gui configuration
IUSE=""

DEPEND=">=sys-fs/ntfsprogs-1.8.0
	>=sys-fs/captive-lufs-0.9.7-r8
	>=gnome-extra/gnome-vfs-httpcaptive-2.3.8-r2"

S=${WORKDIR}/${P}

src_compile() {
	econf --with-tmpdir=/tmp || die
	emake || die
}

src_install() {
	enewgroup captive
	enewuser captive -1 /bin/false /dev/null captive

	einstall || die

        dodoc AUTHORS COPYING* ChangeLog* \
                NEWS README* TODO || \
                        die "dodoc failed"
}

pkg_postinst() {
	einfo "Use /usr/sbin/captive-install-acquire to search for and"
	einfo "install the needed drivers for captive NTFS."
	einfo ""
	einfo "Use /usr/sbin/captive-install-fstab to install captive"
	einfo "entries into your /etc/fstab."
}
